<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AirItineraryPricingInfo StructType
 * Meta information extracted from the WSDL
 * - documentation: Pricing Information for an Air Itinerary.
 * @subpackage Structs
 */
class AirItineraryPricingInfo extends AirItineraryPricingInfoType
{
    /**
     * The Tickets
     * Meta information extracted from the WSDL
     * - documentation: Pricing information for multiple separate tickets
     * - minOccurs: 0
     * @var \SabreSoap\StructType\TicketsPricingType
     */
    public $Tickets;
    /**
     * Constructor method for AirItineraryPricingInfo
     * @uses AirItineraryPricingInfo::setTickets()
     * @param \SabreSoap\StructType\TicketsPricingType $tickets
     */
    public function __construct(\SabreSoap\StructType\TicketsPricingType $tickets = null)
    {
        $this
            ->setTickets($tickets);
    }
    /**
     * Get Tickets value
     * @return \SabreSoap\StructType\TicketsPricingType|null
     */
    public function getTickets()
    {
        return $this->Tickets;
    }
    /**
     * Set Tickets value
     * @param \SabreSoap\StructType\TicketsPricingType $tickets
     * @return \SabreSoap\StructType\AirItineraryPricingInfo
     */
    public function setTickets(\SabreSoap\StructType\TicketsPricingType $tickets = null)
    {
        $this->Tickets = $tickets;
        return $this;
    }
}
