<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Distribution StructType
 * Meta information extracted from the WSDL
 * - documentation: Exactly one attribute: either Direction or Leg must be provided
 * @subpackage Structs
 */
class Distribution extends AbstractStructBase
{
    /**
     * The Range
     * Meta information extracted from the WSDL
     * - maxOccurs: 4
     * - minOccurs: 0
     * @var \SabreSoap\StructType\Range[]
     */
    public $Range;
    /**
     * The Direction
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Direction;
    /**
     * The Leg
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $Leg;
    /**
     * The Endpoint
     * Meta information extracted from the WSDL
     * - default: Departure
     * @var string
     */
    public $Endpoint;
    /**
     * Constructor method for Distribution
     * @uses Distribution::setRange()
     * @uses Distribution::setDirection()
     * @uses Distribution::setLeg()
     * @uses Distribution::setEndpoint()
     * @param \SabreSoap\StructType\Range[] $range
     * @param string $direction
     * @param int $leg
     * @param string $endpoint
     */
    public function __construct(array $range = array(), $direction = null, $leg = null, $endpoint = 'Departure')
    {
        $this
            ->setRange($range)
            ->setDirection($direction)
            ->setLeg($leg)
            ->setEndpoint($endpoint);
    }
    /**
     * Get Range value
     * @return \SabreSoap\StructType\Range[]|null
     */
    public function getRange()
    {
        return $this->Range;
    }
    /**
     * Set Range value
     * @param \SabreSoap\StructType\Range[] $range
     * @return \SabreSoap\StructType\Distribution
     */
    public function setRange(array $range = array())
    {
        $this->Range = $range;
        return $this;
    }
    /**
     * Add item to Range value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\Range $item
     * @return \SabreSoap\StructType\Distribution
     */
    public function addToRange(\SabreSoap\StructType\Range $item)
    {
        $this->Range[] = $item;
        return $this;
    }
    /**
     * Get Direction value
     * @return string|null
     */
    public function getDirection()
    {
        return $this->Direction;
    }
    /**
     * Set Direction value
     * @param string $direction
     * @return \SabreSoap\StructType\Distribution
     */
    public function setDirection($direction = null)
    {
        $this->Direction = $direction;
        return $this;
    }
    /**
     * Get Leg value
     * @return int|null
     */
    public function getLeg()
    {
        return $this->Leg;
    }
    /**
     * Set Leg value
     * @param int $leg
     * @return \SabreSoap\StructType\Distribution
     */
    public function setLeg($leg = null)
    {
        $this->Leg = $leg;
        return $this;
    }
    /**
     * Get Endpoint value
     * @return string|null
     */
    public function getEndpoint()
    {
        return $this->Endpoint;
    }
    /**
     * Set Endpoint value
     * @param string $endpoint
     * @return \SabreSoap\StructType\Distribution
     */
    public function setEndpoint($endpoint = 'Departure')
    {
        $this->Endpoint = $endpoint;
        return $this;
    }
}
