<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareInfos StructType
 * Meta information extracted from the WSDL
 * - documentation: This is a collection of FareInfo
 * @subpackage Structs
 */
class FareInfos extends AbstractStructBase
{
    /**
     * The FareInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 10
     * @var \SabreSoap\StructType\FareInfo[]
     */
    public $FareInfo;
    /**
     * Constructor method for FareInfos
     * @uses FareInfos::setFareInfo()
     * @param \SabreSoap\StructType\FareInfo[] $fareInfo
     */
    public function __construct(array $fareInfo = array())
    {
        $this
            ->setFareInfo($fareInfo);
    }
    /**
     * Get FareInfo value
     * @return \SabreSoap\StructType\FareInfo[]|null
     */
    public function getFareInfo()
    {
        return $this->FareInfo;
    }
    /**
     * Set FareInfo value
     * @param \SabreSoap\StructType\FareInfo[] $fareInfo
     * @return \SabreSoap\StructType\FareInfos
     */
    public function setFareInfo(array $fareInfo = array())
    {
        $this->FareInfo = $fareInfo;
        return $this;
    }
    /**
     * Add item to FareInfo value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\FareInfo $item
     * @return \SabreSoap\StructType\FareInfos
     */
    public function addToFareInfo(\SabreSoap\StructType\FareInfo $item)
    {
        $this->FareInfo[] = $item;
        return $this;
    }
}
