<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OptionsPerDatePairList StructType
 * Meta information extracted from the WSDL
 * - documentation: List of dates/date pairs with different requested number of options
 * @subpackage Structs
 */
class OptionsPerDatePairList extends AbstractStructBase
{
    /**
     * The OptionsPerDatePair
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * @var \SabreSoap\StructType\OptionsPerDatePairType[]
     */
    public $OptionsPerDatePair;
    /**
     * Constructor method for OptionsPerDatePairList
     * @uses OptionsPerDatePairList::setOptionsPerDatePair()
     * @param \SabreSoap\StructType\OptionsPerDatePairType[] $optionsPerDatePair
     */
    public function __construct(array $optionsPerDatePair = array())
    {
        $this
            ->setOptionsPerDatePair($optionsPerDatePair);
    }
    /**
     * Get OptionsPerDatePair value
     * @return \SabreSoap\StructType\OptionsPerDatePairType[]|null
     */
    public function getOptionsPerDatePair()
    {
        return $this->OptionsPerDatePair;
    }
    /**
     * Set OptionsPerDatePair value
     * @param \SabreSoap\StructType\OptionsPerDatePairType[] $optionsPerDatePair
     * @return \SabreSoap\StructType\OptionsPerDatePairList
     */
    public function setOptionsPerDatePair(array $optionsPerDatePair = array())
    {
        $this->OptionsPerDatePair = $optionsPerDatePair;
        return $this;
    }
    /**
     * Add item to OptionsPerDatePair value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\OptionsPerDatePairType $item
     * @return \SabreSoap\StructType\OptionsPerDatePairList
     */
    public function addToOptionsPerDatePair(\SabreSoap\StructType\OptionsPerDatePairType $item)
    {
        $this->OptionsPerDatePair[] = $item;
        return $this;
    }
}
