<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RetrievalMethodType StructType
 * @subpackage Structs
 */
class RetrievalMethodType extends AbstractStructBase
{
    /**
     * The Transforms
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - ref: ds:Transforms
     * @var \SabreSoap\StructType\TransformsType
     */
    public $Transforms;
    /**
     * The URI
     * @var string
     */
    public $URI;
    /**
     * The Type
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Type;
    /**
     * Constructor method for RetrievalMethodType
     * @uses RetrievalMethodType::setTransforms()
     * @uses RetrievalMethodType::setURI()
     * @uses RetrievalMethodType::setType()
     * @param \SabreSoap\StructType\TransformsType $transforms
     * @param string $uRI
     * @param string $type
     */
    public function __construct(\SabreSoap\StructType\TransformsType $transforms = null, $uRI = null, $type = null)
    {
        $this
            ->setTransforms($transforms)
            ->setURI($uRI)
            ->setType($type);
    }
    /**
     * Get Transforms value
     * @return \SabreSoap\StructType\TransformsType|null
     */
    public function getTransforms()
    {
        return $this->Transforms;
    }
    /**
     * Set Transforms value
     * @param \SabreSoap\StructType\TransformsType $transforms
     * @return \SabreSoap\StructType\RetrievalMethodType
     */
    public function setTransforms(\SabreSoap\StructType\TransformsType $transforms = null)
    {
        $this->Transforms = $transforms;
        return $this;
    }
    /**
     * Get URI value
     * @return string|null
     */
    public function getURI()
    {
        return $this->URI;
    }
    /**
     * Set URI value
     * @param string $uRI
     * @return \SabreSoap\StructType\RetrievalMethodType
     */
    public function setURI($uRI = null)
    {
        $this->URI = $uRI;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \SabreSoap\StructType\RetrievalMethodType
     */
    public function setType($type = null)
    {
        $this->Type = $type;
        return $this;
    }
}
